<?php
if ($_SERVER["REQUEST_METHOD"] == "POST"){
	$nama = htmlspecialchars($purifier->purify(trim($_POST['nama'])), ENT_QUOTES);
	$tgl = date("Y-m-d");
	if(isset($_GET['id_keputusan'])){
		$id_keputusan = htmlspecialchars($purifier->purify(trim($_GET['id_keputusan'])), ENT_QUOTES);
		$params = array(':id_keputusan' => $id_keputusan);
		$Keputusan = $this->model->selectprepare("keputusan_disposisi", $field=null, $params, "id_keputusan=:id_keputusan");
		if($Keputusan->rowCount() >= 1){
			$data_Keputusan= $Keputusan->fetch(PDO::FETCH_OBJ);
			$idkeputusan = $data_Keputusan->id_keputusan;
			$field = array('nama_keputusan' => $nama);
			$params = array(':id_keputusan' => $id_keputusan);
			$update = $this->model->updateprepare("keputusan_disposisi", $field, $params, "id_keputusan=:id_keputusan");
			if($update){
				echo "<script type=\"text/javascript\">alert('Data Berhasil diperbaharui...!!');window.location.href=\"./index.php?op=keputusan_disposisi\";</script>";
			}else{
				die("<script>alert('Data menyimpan ke Database, Silahkan Coba Kembali..!!');window.history.go(-1);</script>");
			}
		}
	}else{
		$field = array('nama_keputusan' => $nama, 'created'=>$tgl);
		$params = array(':nama_keputusan'=> $nama, ':created'=>$tgl);
		$insert = $this->model->insertprepare("keputusan_disposisi", $field, $params);
		if($insert->rowCount() >= 1){
			echo "<script type=\"text/javascript\">alert('Data Berhasil Tersimpan...!!');window.location.href=\"./index.php?op=keputusan_disposisi\";</script>";
		}else{
			die("<script>alert('Data Gagal di simpan ke Database, Silahkan Coba Kembali..!!');window.history.go(-1);</script>");
		}
	}
}else{
	if(isset($_GET['id_keputusan']) && empty($_GET['act'])){
		$id_keputusan = htmlspecialchars($purifier->purify(trim($_GET['id_keputusan'])), ENT_QUOTES);
		$params = array(':id_keputusan' => $id_keputusan);
		$cek_klas = $this->model->selectprepare("keputusan_disposisi", $field=null, $params, "id_keputusan=:id_keputusan");
		if($cek_klas->rowCount() >= 1){
			$data_cek_klas = $cek_klas->fetch(PDO::FETCH_OBJ);
			$title= "Edit Data Keputusan Disposisi";
			$nama = 'value="'.$data_cek_klas->nama_keputusan .'"';
		}else{
			$title= "Entri Data Keputusan Disposisi";
		}
	}else{
		$title= "Entri Data Keputusan Disposisi";
	}
	if(isset($_GET['id_keputusan']) && (isset($_GET['act']) && $_GET['act'] == "del")){
		$id_keputusan = htmlspecialchars($purifier->purify(trim($_GET['id_keputusan'])), ENT_QUOTES);
		$params = array(':id_keputusan' => $id_keputusan);
		$delete = $this->model->hapusprepare("keputusan_disposisi", $params, "id_keputusan=:id_keputusan");
		if($delete){
			echo "<script type=\"text/javascript\">alert('Data Berhasil di Hapus...!!');window.location.href=\"./index.php?op=keputusan_disposisi\";</script>";
		}else{
			die("<script>alert('Gagal menghapus data keputusan, Silahkan Coba Kembali..!!');window.history.go(-1);</script>");
		}
	}?>
	<div class="widget-box">
		<div class="widget-header">
			<h4 class="widget-title"><?php echo $title;?></h4>
			<div class="widget-toolbar">
				<a href="#" data-action="collapse">
					<i class="ace-icon fa fa-chevron-up"></i>
				</a>
				<a href="#" data-action="close">
					<i class="ace-icon fa fa-times"></i>
				</a>
			</div>
		</div>
		<div class="widget-body">
			<div class="widget-main">
				<form class="form-horizontal" role="form" method="POST" name="formku" action="<?php echo $_SESSION['url'];?>">
					<div class="form-group">
						<label class="col-sm-2 control-label no-padding-right" for="form-field-mask-1"> Nama Keputusan*</label>
						<span class="help-button" data-rel="popover" data-trigger="hover" data-placement="left" data-content="Di isi dengan nama keputusan disposisi" title="Nama Keputusan">?</span>
						<div class="col-sm-8">
							<input class="form-control" placeholder="Keputusan disposisi" type="text" name="nama" <?php if(isset($nama)){ echo $nama; }?> id="form-field-mask-1" required/>
						</div>
					</div>
					<div class="clearfix form-actions">
						<div class="col-md-offset-3 col-md-9">
							<div class="col-sm-2">
								<button type="submit" class="btn btn-info" type="button">
									<i class="ace-icon fa fa-check bigger-110"></i>
									Submit
								</button>
							</div>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>
	<div class="space-4"></div>
	<div class="widget-box"><?php
	/* PAGINATION */
	$batas = 10;
	$pg = isset( $_GET['halaman'] ) ? $_GET['halaman'] : "";
	if(empty($pg)){
		$posisi = 0;
		$pg = 1;
	}else{
		$posisi = ($pg-1) * $batas;
	}
	$GetKeputusan = $this->model->selectprepare("keputusan_disposisi", $field=null, $params=null, $where=null, "order by nama_keputusan ASC LIMIT $posisi, $batas");
	$TotalRecord = $this->model->selectprepare("keputusan_disposisi", $field=null, $params=null, $where=null);
	$total = $TotalRecord->rowCount();
	if($GetKeputusan->rowCount() >= 1){
		while($data_GetKeputusan = $GetKeputusan->fetch(PDO::FETCH_OBJ)){
			$dump_keputusan[]=$data_GetKeputusan;
		}?>
		<div class="widget-body">
			<div class="widget-main">
				<table class="table table-striped table-bordered table-hover no-margin-bottom no-border-top">
					<thead>
						<tr>
							<th width="10">No</th>
							<th>Nama keputusan</th>
							<th width="80">Aksi</th>
						</tr>
					</thead>
					<tbody><?php
						$no=1+$posisi;
						foreach($dump_keputusan as $key => $object){?>
							<tr>
								<td><?php echo $no;?></td>
								<td><?php echo $object->nama_keputusan;?></td>
								<td><center>
									<div class="hidden-sm hidden-xs btn-group">
										<a href="./index.php?op=keputusan_disposisi&id_keputusan=<?php echo $object->id_keputusan;?>">								
											<button class="btn btn-minier btn-info">
												<i class="ace-icon fa fa-pencil bigger-100"></i>
											</button>
										</a>
										<a href="./index.php?op=keputusan_disposisi&id_keputusan=<?php echo $object->id_keputusan;?>&act=del" onclick="return confirm('Anda yakin akan menghapus data ini??')">
											<button class="btn btn-minier btn-danger">
												<i class="ace-icon fa fa-trash-o bigger-110"></i>
											</button>
										</a>
									</div></center>
								</td>
							</tr><?php
						$no++;
						}?>
					</tbody>
				</table><?php
				$jml_data = $total;
				//Jumlah halaman
				$JmlHalaman = ceil($jml_data/$batas); 
				//Navigasi ke sebelumnya
				if($pg > 1){
					$link = $pg-1;
					$prev = "index.php?op=keputusan_disposisi&halaman=$link";
					$prev_disable = " ";
				}else{
					$prev = "#";
					$prev_disable = "disabled";
				}
				//Navigasi ke selanjutnya
				if($pg < $JmlHalaman){
					$link = $pg + 1;
					$next = "index.php?op=keputusan_disposisi&halaman=$link";
					$next_disable = " ";
				}else{
					$next = "#";
					$next_disable = "disabled";
				}
				if($batas < $jml_data){?>
					<ul class="pager">
						<li class="previous <?php echo $prev_disable;?>"><a href="<?php echo $prev;?>">&larr; Sebelumnya </a></li>
						<li class="next <?php echo $next_disable;?>"><a href="<?php echo $next;?>">Selanjutnya &rarr;</a></li>
					</ul>
					<span class="text-muted">Halaman <?php echo $pg;?> dari <?php echo $JmlHalaman;?> (Total : <?php echo $jml_data;?> records)</span> <?php
				}
				/* END PAGINATION */
				?>
			</div>
		</div><?php
	}?>
	</div><?php
}?>